/* Style the modal container box */
.loginDialog {
  width: 800px;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
  font-family: sans-serif;
  margin: 80px auto;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 10px;
}

/* Style the form layout */
.loginForm {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.loginSelect {
	padding: 5px;
	background-color: #e8daef;/*#7166ad;*/
	color: #172510;/*#a2ad66;*/
}

.loginTextBox {
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
  width: 100%; box-sizing: border-box;
}

.login-btn { background: #28A745; color: white; border: none; padding: 10px; width: 100%; cursor: pointer; }

.login-btn:disabled { background: #dc3545; color: white; border: none; padding: 10px; width: 100%; cursor: not-allowed; }

.close-btn { background: #a0a0a0; color: white; border: none; padding: 10px; width: 100%; cursor: pointer; }

/* Style the dim overlay background */
.loginDialog::backdrop {
  background-color: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(3px); /* Optional: blurs the background */
}

.error { color: #DC3545; font-size: 14px; margin-bottom: 15px; }
.weak { color: #dc3545; }
.fair { color: #ffc107; }
.strong { color: #198754; }

